23 comments found

Hello, this theme looks fantastic! Unfortunately it says “WPML coming soon”, but WPML-compatiblity is mandatory for the site I would love to use that theme for. Any idea what ‘soon’ means here? Days, weeks or even longer? Cheers!

wptitans

Coming soon m8, we had a major reorganization which took most of our time so we didn’t started yet on making it compatible but we will very soon. Now everything is sorted out we can work on updates, features etc again.

GurneyMan Purchased

So disappointed with this purchase.

When it was released against Wordpress 3.5 it had a few issues. Namely problems with the layout builder. Elements were missing that were included with the example pages (like “intro text”). There is either an incredibly non-intuitive way of adding them, or you need to dig into code to do so. Sometimes settings wouldn’t save correctly, but it normally worked okay-ish with a bit of fiddling.

Now Wordpress 3.6 is out it just doesn’t work (See below). I suppose it’s not fair to complain too much about this as the author doesn’t list it as working against it, but given how the product page has lots of reassurances about support, you’d think a simple bump to a newer Wordpress version would be a fairly straight forward occurrence, even if no new features were added. Other themes often have this done on the same day, or a few days after a new WP version.

You can get this theme kind of working if you visit their support forum and use the code given in one of the stuck threads at the top. The line numbers don’t come close to matching where they actually are in this particular theme, but it’s doable. This fixes the most important problem of the settings not saving, but plenty of other stuff still has issues. For example, creating a new template in the layout builder causes it to insert an empty new template. Clicking that causes the frame to repeat itself, which of course means it’s unusable again.

The kicker for me is the support. I signed up to the support forums to get some help and work through the issues (I’m happy editing code). Sadly even when you sign up, it looks like they are currently closed and you can’t make any new threads. Threads that have been posted have been closed.

Sadly this means you have no support. There is a notice at the top of the forums explaining that there is currently a team change going on (or something like that), but this is irrelevant to customers at the end of the day. I find it unacceptable that a theme that was made only a few months ago is already at the point of being unusable with no help from the makers. Maybe it’ll get updated in the future, but it’s looking likely I’m going to have to redesign and redeploy the site I was using it for with another theme – which of course, I’m not too pleased about. This is without even bringing the cost of the theme into it.

A message to the author – if you’re having issues, explain this to your customers with details. Your forums should never be locked / closed for us to try and resolve these with you and others. In the mean time this is going to cost me a lot of time (= money) to fix, which probably includes buying another theme. Not happy :(

Default-user
GurneyMan Purchased

Forum appears to be working again. Must need authorisation. Other points still stand.

wptitans

Please send this in an email to support@wptitans.com and we will help you out asap. Currently we’ve closed down the forums due to some inner problems with wptitans

Hi guys.. I’m really thinking on purchasing your theme. But I need to know when the woo commerce support will be available, because this will be the main point of the upcoming website.

Any information on that?

wptitans

This will take a while since we have other priorities at the moment

by
by
by
by
by
by